%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		gnome-keyring

%define lib_major	0
%define gir_major	1.0
%define libname		%mklibname %{oname} %{lib_major}
%define libnamedev	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Keyring library for the GNOME desktop
Name:		libgnome-keyring
Version:	3.12.0
Release:	%mkrel 9
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/
License:	LGPLv2+
Group:		Networking/Remote access
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	intltool

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package i18n
Group:		System/Libraries
Summary:	Localization data files for %{name}
BuildArch:	noarch

%description i18n
This package contains the translations for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name}-i18n >= %{version}-%{release}
Recommends:	gnome-keyring
Provides:	libgnome-keyring = %{version}-%{release}

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library for integration with the gnome keyring system
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libgnome-keyring0-devel

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

find %buildroot -name '*.la' -delete

%find_lang %{name}

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/libgnome-keyring.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gnome-keyring
%{_libdir}/libgnome-keyring.so
%{_includedir}/gnome-keyring-1
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%{_datadir}/vala/*
%{_datadir}/gir-1.0/GnomeKeyring-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeKeyring-%{gir_major}.typelib


%changelog
* Fri May 19 2017 akien <akien> 3.12.0-9.mga6
+ Revision: 1103437
- Fix unversioned provides triggering a conflict with libgcr3_1

* Thu May 18 2017 sander85 <sander85> 3.12.0-8.mga6
+ Revision: 1102962
- Make installing Skype for Linux beta easier for normal users

* Thu Feb 11 2016 umeabot <umeabot> 3.12.0-7.mga6
+ Revision: 955470
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 fwang <fwang> 3.12.0-6.mga6
+ Revision: 875442
- rebuild for new libgcrypt

* Mon Jun 29 2015 wally <wally> 3.12.0-5.mga6
+ Revision: 847541
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-4.mga5
+ Revision: 741173
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.12.0-3.mga5
+ Revision: 731179
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 681492
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606696
- new version 3.12.0

* Mon Mar 17 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 604439
- new version 3.11.92

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546086
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502139
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484464
- new version 3.10.0

* Sun Aug 04 2013 fwang <fwang> 3.9.1-2.mga4
+ Revision: 463250
- br vala-devel
- do not use vala pkgconfig

* Fri Jul 26 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 458161
- new version 3.9.1
- add vala as BR
- clean and update %%files

* Fri May 24 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 426162
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297609
- new version 3.6.0

* Fri Aug 17 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 281811
- new version 3.5.6

* Wed Aug 08 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280013
- new version 3.5.4

* Thu Jul 19 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 272701
- i18n is noarch

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264511
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231039
- new version 3.4.1

  + yochenhsieh <yochenhsieh>
    - Change Requires gnome-keyring to Suggests (for minimal install)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226607
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224309
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222042
- new version 3.3.91

* Sat Feb 04 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 204446
- enable inrospection support

  + fwang <fwang>
    - new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196955
- new version 3.3.4

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184373
- new version 3.3.3
- clean .spec a bit

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167757
- new version 3.2.2

* Sun Sep 25 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147794
- new version 3.2.0

* Sun Sep 18 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 144920
- new version 3.1.92

* Thu Sep 15 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 143798
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136709
- new version 3.1.90

  + wally <wally>
    - new version 3.1.4

* Mon Jul 11 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 122375
- new version 3.1.1
- clean .spec a bit

* Wed Jun 22 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 112390
- New version 3.0.3

* Thu Jan 13 2011 dmorgan <dmorgan> 2.32.0-1.mga1
+ Revision: 7827
- imported package libgnome-keyring

